<template>
  <div id="detail" class="fixed inset-0 z-20 overflow-auto bg-white pt-77px">
    <div
      id="rect-top"
      class="absolute top-0 z-0 w-full green-gradient-primary"
      :style="{ minHeight: height_rect_top }"
    />
    <div class="relative z-10 w-4/5 mx-auto mt-7 md:mt-13 xl:mt-16">
      <img
        :src="selected.img"
        class="object-cover w-full"
        style="max-height: 350px"
      />
    </div>
    <div id="content" class="w-3/6 mx-auto mb-20">
      <div id="header" class="flex justify-between my-16">
        <div>
          <p class="text-xl font-bold">{{ selected.title }}</p>
          <div class="font-semibold text-tiny text-black-200">
            <span class="flex-1"> Update: {{ selected.date_updated }}</span>
            <span class="flex-1">{{ selected.time }}</span>
          </div>
        </div>
        <YouLikeIt class="flex items-start" icon_color="blue" />
      </div>
      <slot></slot>
    </div>
    <Footer />
  </div>
</template>

<script>
export default {
  props: {
    selected: {
      type: Object,
      default: "",
    },
    color: {
      type: String,
      default: "",
    },
  },
  data() {
    return {
      height_rect_top: "350px",
      top_about_us_img: require("~/assets/images/top_about_us.png"),
    }
  },
  mounted() {
    // switch (this.$mq) {
    //   case "mobile":
    //     this.height_rect_top = "23vh"
    //     break
    //   case "tablet":
    //     this.height_rect_top = "40vh"
    //     break
    //   case "desktopWide":
    //     this.height_rect_top = "58vh"
    //     break
    // }
    // console.log(this.selected)
  },
}
</script>

<style lang="scss" scoped></style>
